高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviRestrictionInfo Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviRestrictionInfo:

## Properties
NSInteger | titleType
NSString * | title
NSString * | tips
NSInteger | cityCode
NSString * | desc
NSInteger | type
NSArray< NSNumber * > * | ruleIDs

## Detailed Description

路径限行信息 since 5.0.0 Route restriction information

## Property Documentation

## ◆ cityCode

- (NSInteger) cityCode
| read write nonatomic assign

城市代码 City code

## ◆ desc

- (NSString*) desc
| read write nonatomic strong

描述 该字段已废弃，since 6.0.0 Description This field is deprecated

## ◆ ruleIDs

- (NSArray<NSNumber *>*) ruleIDs
| read write nonatomic strong

限行规则的id列表 since 10.2.0 ID List of Traffic Restrictions since 10.2.0

## ◆ tips

- (NSString*) tips
| read write nonatomic strong

tips描述，titleType为0或1时才有描述 Tips description, only available when titleType is 0 or 1

## ◆ title

- (NSString*) title
| read write nonatomic strong

标题 Title

## ◆ titleType

- (NSInteger) titleType
| read write nonatomic assign

-1:无效值; 0:外地车限行,建议设置车牌; 1:外地车限行,建议开启限行; 2:已避开限行区域; 3:起点在限行区域内; 4:终点在限行区域内; 5:途经点在限行区域内; 6:途经限行区域; 7:已提前避开即将生效的限行区域; 8:路线上目前有限行, 但根据估算时间，行驶到该限行区域时，限行已失效. -1:Invalid value; 0:Non-local vehicle restriction, suggest setting license plate; 1:Non-local vehicle restriction, suggest enabling restriction; 2:Already avoided restricted area; 3:Starting point is within restricted area; 4:Destination is within restricted area; 5: Waypoint is within restricted area; 6: Passing through restricted area; 7: Already avoided upcoming restricted area in advance; 8: Currently there is a restriction on the route, but according to estimated time, the restriction will be expired when arriving at the restricted area.

## ◆ type

- (NSInteger) type
| read write nonatomic assign

该字段已废弃,请使用 titleType . since 6.0.0 This field is deprecated, please use titleType

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。